/* K5VSIドライバー用 ヘッダーファイル (2009/04/01) */
/* K5VSI driver header file (2009/04/01)*/
#ifndef __K5VSI_H__
#define __K5VSI_H__
#define VSI2000_VENDOR_ID          0x9941
#define VSI2000_DEVICE_ID          0x0310
#define K5VSI_DEVICE_NAME         "k5vsi"
//デバイスドライバのバージョン確認 [第一引数]　 [第二引数]   [返り値]
// Device driver version monitor   [1st arg]    [2nd arg]    [return]
#define GET_DRIVER_VERSION         0x99410000  // Nonし    Version No.
//VSI2000ボードの設定と確認        [第一引数]   [第二引数]   [返り値]
//VSI2000 Board setting and monitir [1st arg]   [2nd arg]      [return] 
#define SET_DEVICE_EPOCH           0x99410010  //Setting time,  0
#define GET_DEVICE_EPOCH           0x99410011  //Non,        Current time[time_t(32bit)]    
#define SET_DEVICE_CLOCK           0x99410020  //Freq[Hz]       0
#define GET_DEVICE_CLOCK           0x99410021  //Non,        Freq
#define SET_DEVICE_PDATA           0x99410030  //Pointer      0(Note:4096 byte needed)
#define GET_DEVICE_PDATA           0x99410031  //Pointer      0(Note:4096 Byte needed)
#define SET_DEVICE_IOPORT          0x99410040  //Undefined  0xFFFFFFFF
#define GET_DEVICE_IOPORT          0x99410041  //Address     Memory Value
//フレームの設定と確認             [第一引数]　 [第二引数]   [返り値]
// Frame setting and monitor       [1st arg]    [2nd arg]   [return]
#define SET_FRAME_NUMBER           0x99410100  //Undef       0xFFFFFFFF
#define GET_FRAME_NUMBER           0x99410101  //Nonし       Number of Frames
#define SET_FRAME_EPOCH            0x99410110  //Frame time  0(Note:Frame Number is computed by time%Frame number）
#define GET_FRAME_EPOCH            0x99410111  //Frame Number,  Frame time
#define SET_FRAME_OFFSET           0x99410120  //Undefined,    0xFFFFFFFF
#define GET_FRAME_OFFSET           0x99410121  //Frame Number  Address
#define SET_FRAME_CLOCK            0x99410130  //Undefined   0xFFFFFFFF
#define GET_FRAME_CLOCK            0x99410131  //Frame Number  Fraquency
#define SET_FRAME_FREEZE           0x99410140  //Freese Epoch    0
#define GET_FRAME_FREEZE           0x99410141  //Non
#endif
